> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noramp.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payments



## OpenAPI

````yaml get /payments/{app_id}
openapi: 3.1.0
info:
  title: NoRamp
  description: NoRamp API
  version: '1.1'
  contact: {}
servers: []
security: []
tags: []
paths:
  /payments/{app_id}:
    get:
      operationId: PaymentsController_findAll
      parameters:
        - name: page
          required: false
          in: query
          schema:
            default: 1
            type: number
            minimum: 1
        - name: take
          required: false
          in: query
          schema:
            default: 100
            type: number
            minimum: 1
        - name: app_id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PaymentDto'
components:
  schemas:
    PaymentDto:
      type: object
      properties:
        id:
          type: string
        status:
          enum:
            - pending
            - hold
            - paid
            - failed
            - failed-captured
            - failed-transfers
            - refunded
            - cancelled
          type: string
        final_amount:
          type: number
        payment_provider:
          enum:
            - card
            - us_bank_account
          type: string
        trigger_data_input:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/TriggerDataInputDto'
        transaction_id:
          type: string
          nullable: true
        transaction_url:
          type: string
          nullable: true
        price_item:
          $ref: '#/components/schemas/PriceItemDto'
        transaction_response:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/WalletCallResponseDto'
        confirmation_status:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/WalletConfirmationStatusDto'
        app:
          $ref: '#/components/schemas/AppDto'
        price:
          $ref: '#/components/schemas/PriceDto'
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
        payment_token:
          type: string
      required:
        - id
        - status
        - final_amount
        - payment_provider
        - trigger_data_input
        - transaction_id
        - transaction_url
        - price_item
        - transaction_response
        - confirmation_status
        - app
        - price
        - created_at
        - updated_at
    TriggerDataInputDto:
      type: object
      properties:
        params_data_input:
          type: object
    PriceItemDto:
      type: object
      properties:
        currency:
          type: string
        provider_min_amount_fee:
          type: number
        provider_processing_fee_percent:
          type: number
        platform_fee:
          type: number
        app_fee:
          type: number
        app_type:
          type: string
          enum:
            - individual
            - marketplace
        amount:
          type: number
        amount_total:
          type: number
        amount_transaction_fee:
          type: number
        amount_app_transaction_fee:
          type: number
        amount_platform:
          type: number
        amount_seller:
          type: number
        amount_app:
          type: number
        conversion:
          $ref: '#/components/schemas/PriceItemConversionDto'
        processing_fee_amount:
          type: number
      required:
        - currency
        - provider_min_amount_fee
        - provider_processing_fee_percent
        - platform_fee
        - app_fee
        - app_type
        - amount
        - amount_total
        - amount_transaction_fee
        - amount_app_transaction_fee
        - amount_platform
        - amount_seller
        - amount_app
        - processing_fee_amount
    WalletCallResponseDto:
      type: object
      properties:
        error:
          type: object
        near:
          $ref: '#/components/schemas/NearCallResponseDto'
        evm:
          $ref: '#/components/schemas/EvmCallResponseDto'
        wax:
          $ref: '#/components/schemas/WaxCallResponseDto'
        solana:
          $ref: '#/components/schemas/SolanaCallResponseDto'
    WalletConfirmationStatusDto:
      type: object
      properties:
        required_confirmations:
          type: number
        confirmations:
          type: number
        average_seconds:
          type: number
        progress:
          type: number
        confirmed:
          type: boolean
      required:
        - average_seconds
        - progress
        - confirmed
    AppDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - individual
            - marketplace
        kyc_return_url:
          type: string
          nullable: true
        use_explorer:
          type: boolean
        permissions:
          $ref: '#/components/schemas/AppPermissionsDto'
        app_fee:
          type: number
        user:
          $ref: '#/components/schemas/UserProfileDto'
        is_member:
          type: boolean
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - name
        - type
        - kyc_return_url
        - use_explorer
    PriceDto:
      type: object
      properties:
        id:
          type: string
        type:
          enum:
            - static
            - dynamic
          type: string
        kyc_id:
          type: string
          nullable: true
        trigger_id:
          type: string
          nullable: true
        currency:
          type: string
        amount:
          type: number
        metadata:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PriceMetadataDto'
        name:
          type: string
          nullable: true
        expired:
          type: boolean
        views:
          type: number
        network_type:
          type: string
          enum:
            - mainnet
            - testnet
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
        contract:
          type: string
        chain:
          type: string
        category:
          enum:
            - payment
            - bid
            - auction
          type: string
      required:
        - id
        - app
        - type
        - kyc_id
        - trigger_id
        - currency
        - amount
        - metadata
        - name
        - expired
        - views
        - network_type
        - created_at
        - updated_at
    PriceItemConversionDto:
      type: object
      properties:
        currency:
          type: string
        exchange:
          type: number
        converted_amount:
          type: number
        converted_amount_net:
          type: number
        amount:
          type: number
        amount_total:
          type: number
        amount_transaction_fee:
          type: number
        amount_app_transaction_fee:
          type: number
        amount_platform:
          type: number
        amount_seller:
          type: number
        amount_app:
          type: number
      required:
        - currency
        - exchange
        - converted_amount
        - converted_amount_net
        - amount
        - amount_total
        - amount_transaction_fee
        - amount_app_transaction_fee
        - amount_platform
        - amount_seller
        - amount_app
    NearCallResponseDto:
      type: object
      properties:
        output:
          type: object
      required:
        - output
    EvmCallResponseDto:
      type: object
      properties:
        output:
          type: object
      required:
        - output
    WaxCallResponseDto:
      type: object
      properties:
        output:
          type: object
      required:
        - output
    SolanaCallResponseDto:
      type: object
      properties:
        output:
          type: object
      required:
        - output
    AppPermissionsDto:
      type: object
      properties:
        can_view:
          type: boolean
        can_edit:
          type: boolean
        can_delete:
          type: boolean
        can_edit_members:
          type: boolean
      required:
        - can_view
        - can_edit
        - can_delete
    UserProfileDto:
      type: object
      properties:
        id:
          type: string
        username:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
      required:
        - id
        - username
        - first_name
        - last_name
    PriceMetadataDto:
      type: object
      properties: {}

````